Subject: RE: [mobile-ip] draft-ietf-mobileip-lmm-requirements-00.txt

From: "Hongyi Li" <[email-masked]>
Date: Fri, 20 Jul 2001 13:54:25 -0400

> -----Original Message-----
> From: James Kempf [mailto:[email-masked]]
> Sent: Friday, July 20, 2001 12:37 PM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: RE: [mobile-ip] draft-ietf-mobileip-lmm-requirements-00.txt
> 
> 
> >> 3.4.4 Optimized signaling within the administrative domain
> >> By its very nature, LMM reintroduces triangle routing into 
> Mobile IPv6
> >> in that all traffic must go through the LMM agent. There is no way
> >> to avoid this. The LMM framework SHOULD be designed in such a way 
> >> that as to reduce the length of the unwanted triangle leg.
> >
> >I would suggest to change this paragraph as following:
> >
> >"By its very nature, LMM MAY reintroduce triangle routing 
> into Mobile IPv6
> >in that all traffic must go through the LMM agent. The LMM framework
> >SHOULD be designed in such a way that as to reduce the length of the
> >unwanted triangle leg."
> >
> >The reason for the change is that a network provider can avoid
> >re-introducing
> >triangle routing by designing its LMM domain with a single 
> gateway and
> >deploying
> >one LMM agent per domain at the gateway. This is only one 
> example to avoid
> >triangular routing. There might be other ways.
> >
> >
> 
> Actually, I'm not sure I follow. Even if there is one LMM agent
> per domain, there will still be triangle routing - one leg from the CN
> to the agent, another from the agent to the MN.

[hyli]If the CN is outside the LMM domain, CN<-> LMM agent <-> MN is the
	optimal route in this network configuration.
	If CN is inside the LMM domain, Hesham's example can provide
	optimal route. Another way is that LMM agent can send a binding
	update to the CN if it realizes the CN and MN is in the same
	domain.

	-Hongyi

> 		jak